function hasBuildingWithTag(tag)
	 local playerFacade = demandManager("VillageManager"):getViewingPlayerFacade()
	 return playerFacade:getVillageFacade():getCountOfEntitiesWithTag(tag) > 0
end

function mission:intro()

  -- If you have region (11)
	if hasBuildingWithTag("tag_land_expand_jungle_r22") then

	-- keani dialog
		showDialogueLeft({ characterKey = "keani", textKey = "mission_dive_update_clear_region_1_100", tone = "action" })
		showDialogueLeft({ characterKey = "keani", textKey = "mission_dive_update_clear_region_1_200" })
		hideDialogue()

	-- Show alert arrow on region (11)
		showAlertOnBuildingWithTag("arrow", "tag_land_expand_jungle_r22")

	-- Pan camera to region (11)
		panCameraToBuildingWithTag("tag_land_expand_jungle_r22")
	   
	-- keani dialog
		showDialogueLeft({ characterKey = "keani", textKey = "mission_dive_update_clear_region_1_300" })
		hideDialogue()

	end

end

function mission:outro()

-- Hide alert arrow on region (11)
	hideAlertOnBuildingWithTag("arrow", "tag_land_expand_jungle_r22")

-- keani dialog
	showDialogueLeft({ characterKey = "keani", textKey = "mission_dive_update_clear_region_1_400", tone = "fact" })
	hideDialogue()

end