local lastMillToLevelUpTag

function mission:intro()
    local lastMillToLevelUpEntityId = demandManager("MillInfoManager"):getEntityIdForLastMillToLevelUp()

    if lastMillToLevelUpEntityId then
        lastMillToLevelUpTag = getFirstTagForBuildingWithEntityId(lastMillToLevelUpEntityId)
    end

-- Display arrow on last mill that leveled
    if lastMillToLevelUpTag then
        showAlertOnBuildingWithTag("arrow", lastMillToLevelUpTag)
    end 

-- Show arrow seqeunce on last mill to level up a mastery
    showArrowOnLocatorSequence("locatorId_mill_infoButton", "locatorId_millInfo_offscreen")
end

function mission:outro()
-- Hide arrow on last mill that leveled
    if lastMillToLevelUpTag then
        hideAlertOnBuildingWithTag("arrow", lastMillToLevelUpTag)
    end

-- Hide arrow seqeunce on last mill to level up a mastery
    hideArrowOnLocatorSequence("locatorId_mill_infoButton", "locatorId_millInfo_offscreen")

-- Dialog keani
    showDialogueLeft({ characterKey = "keani", textKey = "mission_angelfish_introduction_mill_mastery_info_020", tone = "fact" })
    hideDialogue()
end
